HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

OV 3.1 upgrade failure

martin2176
Advisor

OV 3.1 upgrade failure

I will open a Support ticket as advised by Chris in another thread. Just letting you know about this issue

 

Update appliance to version 3.10.04-0299553
Update appliance failed

Start update
Execute pre-snapshot scripts
Shutdown services
Execute pre-update scripts
Install packages
Execute post-update scripts
Reboot appliance
Update database
Startup services
Reverting the appliance to pre-update version
Update failed

14 REPLIES
martin2176
Advisor

Re: OV 3.1 upgrade failure

I have OV GD 1.2 linked to this appliance. But, before I upgraded the OV, I removed the appliance from OV GD.

But it did not help

sdmitriev1
Valued Contributor

Re: OV 3.1 upgrade failure

Do you have support contract for OV?

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

Please open a support case in order to resolve this issue Martin.  The only way to fix the issue is with supports help.  We are in the final stages of publishing a CA on the issue.

martin2176
Advisor

Re: OV 3.1 upgrade failure

Chris

Is there a way to prevent t his from happening rather than fixing it after the fact. The issue was faced in lab during the upgrade
we have yet to upgrade 4 of our Production instances and anything to prevent this from happening would be great.

I hope the CA would have that info.

Also, sev2 ticket was opened on 8/8 2:30 pm EST. No one has got hold off the ticket as of yet. 36 hrs now.

opened under OV SAR ticket 104416318059

Re: OV 3.1 upgrade failure

Just saw this after opening a new ticket, same 3.1 upgrade problem from 3.0

OV ticket #5322060277

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

Is there a way to prevent t his from happening rather than fixing it after the fact.

Unfortunately, no.  We just published the CA last night.  I will be posting a sticky thread in this forum so others know.  IN order to get the "fixme.bin", you will need to open a support case, and reference the CA ID a00018007en_us.

Re: OV 3.1 upgrade failure

I seem to be having the same upgrade issue but the cause seems different from the CA a00018007en_us since i only have 474 occurences in the audit log. :-(

 

I also noticed i couldn't add SPP 2017-07 before trying the upgrade but i didn't write down that error.

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

@FREDERIC COLLIN, we are aware of another upgrade issue where if you have your own Certificate Authority, completed a CSR and the upgrade is failing around 70%, you will need to follow this Customer Advisory.

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

@FREDERIC COLLIN,

 I also noticed i couldn't add SPP 2017-07 before trying the upgrade but i didn't write down that error.

The 2017.07 SPP has changed format.  In order to use that SPP within HPE OneView, you will need to patch your 3.00 appliance to 3.00.08, or complete you upgrade to 3.10. This Customer Advisory talks about that change.

Re: OV 3.1 upgrade failure

Thanks Chris, indeed we also have our own internal CAs (Microsoft). I had read in the 3.1 upgrade guide about the SHA-1 signing issue (p18) but since our internal CAs were all using SHA-256 already i tought we'd be safe.

I'll try switching back to a self signed cert and retry the upgrade, thanks!

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

That note you saw unfortunately has nothing to do with the issue preventing the upgrade in your case.  And the workaround in the CA is only temporary, and only for upgrading to 3.10.  We will have this issue, and the main upgrade defect that this thread is discussing in a patch soon.

Re: OV 3.1 upgrade failure

It was indeed the CA signed cert that was causing the problem, the customer advisory a00020832en_us was spot on ! I'm running OV 3.10 now and SPP 2017-07 was also uploaded successfuly after the upgrade!

 

Thanks.

ChrisLynchHPE
Neighborhood Moderator

Re: OV 3.1 upgrade failure

Fantastic news.  Glad you were able to upgrade successfully.

martin2176
Advisor

Re: OV 3.1 upgrade failure

I got the lab instance upgraded to 3.1 after L2 support deleted the 3000 or so sessions in the DB.